Subject: AW: Re: VCI textual convention

From: [email-masked] (Petri, Bernhard)
Date: Mon, 17 Nov 1997 09:43:54 +0100

VCI values below 32 have been reserved for specific
standardized purposes. Examples:

VCIs 3,4: OAM flows (ITU-T Rec. I.610)
VCI 5: Signalling (ITU-T Q.series)
VCI 6: Resource Management (ITU-T Rec. I.371)
VCI 16: Integrated Layer Management (ATM Forum ILMI)
VCI 18: PNNI Routing (ATM Forum PNNI)

It has therefore generally been recommended not to use
VCI values less than 32 for user plane connections, to
avoid the risk that peer ATM switches interpret
the values according to their standardized
meanings.

So, I support Paul's opinion. However,if you don't
want to be that strictly, an alternative might be
that you place a note or comment against the
(0..65535)-indication, indicating that values
between 0 and 31 should normally not be used
because they're reserved for standardized purposes.
That would at least ensure that implementors
do not run into that trap unintendedly.

Bernhard Petri, Siemens
+49 89 722-34578, Fax: -62366
[email-masked]

 ----------
> Von: Keith McCloghrie
> An: Paul Koning
> Cc: ion
> Betreff: Re: VCI textual convention
> Datum: Sonntag, 16. November 1997 01:22
>
> I know it's not kosher, but there are people who use PVCs with VCIs
> less than 32.  SO, I thionk it should remain as (0..65535).
>
> One change which is appropriate (even if pedantic) is that this Textual
> Convention should only ever be used for a VCI.  Therefore, the
> DESCRIPTION should describe it as the value of a VCI, rather than as an
> INTEGER which happens to be the right size for a VCI.
>
> Keith.
>
> > The current draft says:
> >
> >   IpoaVciInteger ::= TEXTUAL-CONVENTION
> >       STATUS     current
> >       DESCRIPTION
> >           "An integer large enough to hold a VCI."
> >       SYNTAX     Integer32 (0..65535)
> >
> > In IPOA, the actual lowerbound is 32 since VCI values below 32 are
> > reserved and not available for user traffic.  It would be useful to
> > make that change here.
> >
> >  paul
> >
>
>